hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sebb <seb...@gmail.com>
Subject Re: Problems building httpcore site
Date Mon, 14 Jun 2010 15:02:17 GMT
On 14/06/2010, sebb <sebbaz@gmail.com> wrote:
> Just a heads up:
>
>  I'm having problems running 'mvn site' in httpcore - I get the
>  following error if I use parent pom 4.1:
>
>  "Deprecated API called - not org.apache.maven.doxia.sink.Sink instance
>  and no SinkFactory available. Please update this plugin."
>
>  And then the build hangs.

Just realised that the hang was because minotaur was down ...

>  I thought this might be due to the plugin version updates I made
>  recently to parent 4.1, so I have just checked out project and
>  httpcore r954150, and I get:
>
>  [WARNING] Deprecated API called - not org.apache.maven.doxia.sink.Sink
>  instance and no SinkFactory available. Please update this plugin.
>  [INFO] ------------------------------------------------------------------------
>  [ERROR] FATAL ERROR
>  [INFO] ------------------------------------------------------------------------
>  [INFO] 1
>  [INFO] ------------------------------------------------------------------------
>  [INFO] Trace
>  java.lang.ArrayIndexOutOfBoundsException: 1
>         at org.apache.maven.doxia.module.xhtml.XhtmlSink.tableCell(XhtmlSink.java:791)
>         at org.apache.maven.doxia.module.xhtml.XhtmlSink.tableHeaderCell(XhtmlSink.java:777)
>  ...
>
>  I get a similar problem when trying to build from the httpcore 4.0.1 tag.
>
>  This presumably means that one or more plugins have been updated since
>  then and no longer play well with each other.
>
>  Note: there are quite a few others having the same problem, and there
>  are some JIRAs raised, e.g.
>
>  http://jira.codehaus.org/browse/MPIR-194
>  http://jira.codehaus.org/browse/DOXIA-215
>
>  but so far I've not found a solution.

Turns out the current version of maven-project-info-reports-plugin
requires maven-site-plugin 2.1 or later. This was not specified in the
POMs.

>  Going forward, I think we need to ensure that POMs specify all plugin
>  and dependency versions otherwise it may be very difficult to rebuild
>  from previous tags - and builds may just stop working, as seems to be
>  the case here.

This is still true.

AFAIK the current parent POM does now specify all the plugin versions,
so hopefully we will be OK going forward.

>  I'm going to try to put together a test case for JIRA.

Not necessary ...

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
For additional commands, e-mail: dev-help@hc.apache.org


Mime
View raw message